Loading...
Searching...
No Matches
DcmJsonFormatPretty Class Reference

Subclass for handling JSON formatted output. More...

Inheritance diagram for DcmJsonFormatPretty:

## Public Member Functions

| DcmJsonFormatPretty (const OFBool printMetaInfo=OFTrue)
| DcmJsonFormatPretty constructor.
void | printIndention (STD_NAMESPACE ostream &out)
| Indent to the specific level.
void | increaseIndention ()
| Increase the indention level.
void | decreaseIndention ()
| Decrease the indention level.
OFString | newline ()
| Print a newline.
OFString | space ()
| Print a space.
Public Member Functions inherited from DcmJsonFormat
| DcmJsonFormat (const OFBool printMetaInfo)
| Constructor.
virtual | ~DcmJsonFormat ()
| Virtual destructor, does nothing.
Indention | indent ()
| Method to return an indention proxy object for increasing, decreasing or printing indention.
virtual OFBool | asBulkDataURI (const DcmTagKey &tag, Uint32 len) const
| Check if an attribute should be exported as BulkDataURI.
virtual void | getBulkDataDirectory (OFString &directory) const
| return path of bulk data directory
virtual void | getBulkDataURIPrefix (OFString &prefix) const
| return the current bulk data URI prefix
virtual void | printValuePrefix (STD_NAMESPACE ostream &out)
| Print the Prefix which for JSON Values needed with indention and newlines as in the format Variable given.
virtual void | printValueSuffix (STD_NAMESPACE ostream &out)
| Print the Suffix which for JSON Values needed with indention and newlines as in the format Variable given.
virtual void | printBulkDataURIPrefix (STD_NAMESPACE ostream &out)
| Print the Prefix which for JSON BulkDataURI needed with indention and newlines as in the format Variable given.
virtual void | printInlineBinaryPrefix (STD_NAMESPACE ostream &out)
| Print the Prefix which for JSON InlineBinary needed with indention and newlines as the format specifies.
virtual void | printNextArrayElementPrefix (STD_NAMESPACE ostream &out)
| Print the prefix for array elements (except the first one), with indention and newlines as the format specifies.
virtual OFBool | getJsonExtensionEnabled () const
| return the flag indicating whether extended JSON number encoding is enabled.
virtual void | setJsonExtensionEnabled (OFBool enabled)
| set the flag indicating whether extended JSON number encoding is enabled.
virtual NumStringPolicy | getJsonNumStringPolicy () const
| return the flag defining how IS/DS elements should be converted to JSON.
virtual void | setJsonNumStringPolicy (NumStringPolicy policy)
| set the flag defining how IS/DS elements should be converted to JSON.
virtual void | setMinBulkSize (ssize_t min_bulk_size)
| set the minimum size of binary attributes stored as bulk data.
virtual void | setBulkURIPrefix (const char *bulk_uri_prefix)
| set the prefix for URIs generated for bulk data
virtual void | setBulkDir (const char *bulk_dir)
| set the directory to which bulk data files should be written
virtual OFCondition | writeBulkData (STD_NAMESPACE ostream &out, const DcmTagKey &tagkey, Uint32 len, Uint8 *byteValues, const char *extension=".bin")
| write an attribute as BulkDataURI.
virtual OFCondition | writeBinaryAttribute (STD_NAMESPACE ostream &out, const DcmTagKey &tagkey, Uint32 len, Uint8 *byteValues, const char *extension=".bin")
| write a binary attribute either as InlineBinary or as BulkDataURI.

## Private Attributes

unsigned | m_IndentionLevel
| Variable for the indention level of DcmJsonFormat.

## Additional Inherited Members

Public Types inherited from DcmJsonFormat
enum | NumStringPolicy { NSP_auto , NSP_always_number , NSP_always_string }
| an enumeration defining how to convert IS/DS elements to JSON More...
Static Public Member Functions inherited from DcmJsonFormat
static void | escapeControlCharacters (STD_NAMESPACE ostream &out, OFString const &value)
| Escapes all forbidden control characters in JSON.
static void | normalizeDecimalString (OFString &value)
| Normalize Decimal String to specific JSON format.
static void | normalizeIntegerString (OFString &value)
| Normalize Integer String to specific JSON format.
static void | printString (STD_NAMESPACE ostream &out, const OFString &value)
| Prints either null if empty or the string value (with all illegal characters escaped).
static void | printValueString (STD_NAMESPACE ostream &out, const OFString &value)
| Prints either null if empty or a quoted string (with leading and ending quotation marks and all illegal characters escaped).
static void | printNumberInteger (STD_NAMESPACE ostream &out, OFString &value)
| Print either null if empty or a Number as normalized IntegerString.
static void | printNumberDecimal (STD_NAMESPACE ostream &out, OFString &value)
| Print either null if empty or a Number as normalized IntegerDecimal.
Public Attributes inherited from DcmJsonFormat
const OFBool | printMetaheaderInformation
| Option that defines if metaheader information should be printed.

## Detailed Description

Subclass for handling JSON formatted output.

Standard class for formatted output.

## Constructor & Destructor Documentation

## DcmJsonFormatPretty()

DcmJsonFormatPretty::DcmJsonFormatPretty | ( | const OFBool | printMetaInfo = OFTrue | ) |

explicit

DcmJsonFormatPretty constructor.

Parameters

  printMetaInfo | Enable/Disable including Metaheader in the output

## Member Function Documentation

## newline()

OFString DcmJsonFormatPretty::newline | ( |  | ) |

virtual

Print a newline.

Returns
  a newline

Implements DcmJsonFormat.

## printIndention()

void DcmJsonFormatPretty::printIndention | ( | STD_NAMESPACE ostream & | out | ) |

virtual

Indent to the specific level.

Parameters

  out | output stream to which the indention is written.

Implements DcmJsonFormat.

## space()

OFString DcmJsonFormatPretty::space | ( |  | ) |

virtual

Print a space.

Returns
  a space

Implements DcmJsonFormat.

The documentation for this class was generated from the following file:

- dcmdata/include/dcmtk/dcmdata/dcjson.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.15.0